Skip site navigation (1) Skip section navigation (2)

Re: Upgring from 6.1

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Mustapha Amrani <ma10024(at)newton(dot)cam(dot)ac(dot)uk>
Cc: pgsql-docs(at)postgresql(dot)org
Subject: Re: Upgring from 6.1
Date: 2001-01-07 18:38:59
Message-ID: 4715.978892739@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-docs
Mustapha Amrani <ma10024(at)newton(dot)cam(dot)ac(dot)uk> writes:
> I am trying to upgrade from 6.1 to 7.0.3. I follow all the INSTALL 
> instruction. created db.out with pg_dumpall, but when I import the db.out to 
> the new version the relation are not created. Is there a known problem with 
> this upgrade or I am missing something?

The release notes for 6.2 say

	Note that the pg_dump and pg_dumpall utility from 6.2 should be
	used to dump the 6.1 database.

which suggests that the 6.1 pg_dump was rather broken, but there are no
details.

6.1 is a long time back, in any case, and you're being way too
optimistic to expect that people will remember what-all might be an
issue in making this jump.  It would help if you provided more detail
than "are not created".  What error messages do you get, and what are
the commands that are provoking them?

BTW, this isn't an appropriate list for this question.  pgsql-admin or
pgsql-hackers seem more on-topic.

			regards, tom lane

In response to

pgsql-docs by date

Next:From: InternetDate: 2001-01-08 06:45:35
Subject: Help for configure and install Postgresql7.0
Previous:From: Mustapha AmraniDate: 2001-01-07 12:38:24
Subject: Upgring from 6.1

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group